# Server Exports

### getCompanyMoney

With this export, you can see how much money is in the dealership safe.

```lua
-- @param {dealershipId: string}: dealershipId is the key of the Stores table
local amount = exports["vms_vehicleshopv2"]:getCompanyMoney(dealershipId)
```

***

### addCompanyMoney

With this export you can add money to the dealership safe.

```lua
---@param {parkingId: string}: dealershipId is the key of the Stores table
---@param {amount: number}: the amount to be added to the dealership safe
---@param {addToTotalEarning: boolean}: Is the added money to be included in Total Earned
exports["vms_vehicleshopv2"]:addCompanyMoney(dealershipId, amount, addToTotalEarned)
```

***

### removeCompanyMoney

With this export you can remove money from the dealership safe.

```lua
---@param {dealershipId: string}: dealershipId is the key of the Stores table
---@param {amount: number}: the amount to be removed from the dealership safe
exports["vms_vehicleshopv2"]:removeCompanyMoney(dealershipId, amount)
```

***

### sendAnnouncement

Message to the company

```lua
---@param {dealershipId: string}: dealershipId is the key of the Stores table
---@param {text: string}: message content
---@param {type: string}: 'cityhall'
exports["vms_vehicleshopv2"]:sendAnnouncement(src, dealershipId, text, type)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vames-store.com/assets/vms_vehicleshopv2/developer-api/server-exports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
